#include <Rcpp.h>
#include <cstdlib>
#include <iostream>
#include <omp.h>
 
using namespace std;
RcppExport SEXP parad(SEXP x, SEXP y){
    int i,n,max;
    Rcpp::NumericVector vector1(x);
    Rcpp::NumericVector vector2(y);
    n=vector2.size();
    Rcpp::NumericVector product(n);
    max=omp_get_max_threads();
    omp_set_num_threads(max);
 
	#pragma omp parallel for
	for(i=0;i<n;i++){
	product[i]=vector1[i]/vector2[i];
	}
	return(product);
}

RcppExport SEXP rad(SEXP x, SEXP y){
    int i,n,max;
    Rcpp::NumericVector vector1(x);
    Rcpp::NumericVector vector2(y);
    n=vector2.size();
    Rcpp::NumericVector product(n);
 
	for(i=0;i<n;i++){
	product[i]=vector1[i]/vector2[i];
	}
	return(product);
}
